table {base} | R Documentation

## Cross Tabulation

### Description

`table` uses the cross-classifying factors to build a contingency table of the counts at each combination of factor levels.

### Usage

    table(..., exclude = c(NA, NaN), dnn, deparse.level = 1)

### Arguments

`...` | objects which can be interpreted as factors (including character strings), or a list (or data frame) whose components can be so interpreted
`exclude` | values to use in the exclude argument of `factor` when interpreting non-factor objects
`dnn` | the names to be given to the dimensions in the result (`the dimname names'
`deparse.level` | controls how the default `dnn` is constructed. See details.

### Details

If the argument `dnn` is not supplied, the internal function `list.names` is called to compute the `dimname names'. If the arguments in `...` are named, those names are used. For the remaining arguments, `deparse.level = 0` gives an empty name, `deparse.level = 1` uses the supplied argument if it is a symbol, and `deparse.level = 2` will deparse the argument.

### Examples

    ## Simple frequency distribution
    table(rpois(100,5))
    data(warpbreaks)
    attach(warpbreaks)
    ## Check the design:
    table(wool, tension)
    data(state)
    table(state.division, state.region)

    data(airquality)
    attach(airquality)
    # simple two-way contingency table
    table(cut(Temp, quantile(Temp)), Month)

    a <- letters[1:3]
    table(a, sample(a)) # dnn is  c("a", "")
    table(a, sample(a), deparse.level = 0) # dnn is  c("", "")
    table(a, sample(a), deparse.level = 2) # dnn is  c("a", "sample(a)")

[Package Contents]